Bug 65348 - Can't shutdown/reboot from kde with >1 X server
Can't shutdown/reboot from kde with >1 X server
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-22 11:18 EDT by Reuben Thomas
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-11 11:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Reuben Thomas 2002-05-22 11:18:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)

Description of problem:
I have modified my X Setup to start 2 X servers, adding an extra line 
to /etc/X11/xdm/Xservers. Under 7.2 this worked fine. Under 7.3, this prevents 
shutdown/reboot from working from the KDE login/logout prompt: instead, KDE 
shuts down on the X server from which I have exited, but the other X server 
(and kdm) remain running. Executing shutdown -r|h now from the command line 
works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add another X server to /etc/X11/xdm/Xservers (say on vt8)
2. Press Ctrl+Alt+Delete in KDE to exit
3. Select shutdown or reboot (logout works fine)

Actual Results:  KDE exits...but kdm is still running, as is the other X 
server, and the system doesn't shut down.

Expected Results:  The system should shutdown/reboot.

Additional info:  As expected, commenting out the second X server makes 
shutdown/reboot work as expected.
Comment 1 Petr Rockai 2005-03-11 11:17:05 EST
Sounds like a feature to me (prevents you from inadvertently killing running  
session on the other X server). 

Note You need to log in before you can comment on or make changes to this bug.